#include<iostream>
#include<stdlib.h>
using namespace std;
void unosN(int a[], int n)
{
    for(int i=0; i<n; i++)
        cin>>a[i];
}
void ispisN(int a[], int n)
{
    for(int i=0; i<n; i++)
        cout<<a[i]<<' ';
}
int main()
{
    int n, i, tmax1, tmax2;
    cin>>n;
    int a[n];
    unosN(a, n);
    if(a[1]>a[0]){
        tmax1=1;
        tmax2=0;
    }
    else
    {
        tmax2=1;
        tmax1=0;
    }
    for(i=2; i<n; i++)
    {
        if(a[i]>a[tmax1]){
            tmax2=tmax1;
            tmax1=i;
        }
        else
            if(a[i]>a[tmax2])
                tmax2=i;
    }
    if(tmax1==0)
        swap(a[1], a[tmax2]);
    else
        swap(a[0], a[tmax1]);

    ispisN(a, n);

    return 0;
}